function S=gitinfo()
% FUNCTION fc_oogmsh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2022 F. Cuvelier
%
  S=struct('name','fc-oogmsh', 'tag','0.2.4','commit','8738562fc0b1cbdb028a8b58c5ba4f019e452831','date', '2022-12-21','time','14-42-29','status',0);return; % automatically updated
  rep=fc_oogmsh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-oogmsh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
